%define upstream_name    Dist-Zilla-Role-DynamicConfig
%define upstream_version 1.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A Role that accepts a dynamic configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This is a role for a Dist::Zilla::Role::Plugin (or possibly other classes)
that accepts a dynamic configuration.

Plugins performing this role must define the /separate_local_config
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.2.0-8.mga6
+ Revision: 1026671
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.2.0-7.mga6
+ Revision: 970343
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 1.2.0-6.mga6
+ Revision: 886009
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 740894
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 511342
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 366721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 1.002

* Wed Mar 16 2011 jquelin <jquelin> 1.1.2-1.mga1
+ Revision: 72426
- imported package perl-Dist-Zilla-Role-DynamicConfig


* Wed Mar 16 2011 cpan2dist 1.001002-1mga
- initial mageia release, generated with cpan2dist
